Advisory Details

August 24th, 2015

Hewlett-Packard KeyView IDOL GIF Parsing Remote Code Execution Vulnerability

ZDI-15-402
ZDI-CAN-2879

CVE ID CVE-2015-5419
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Hewlett-Packard
AFFECTED PRODUCTS KeyView IDOL
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Hewlett-Packard KeyView IDOL. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The flaw exists within the handling of GIF images. It is possible to trigger an out-of-bounds write when handling malformed transparency data within a GIF. A remote attacker could exploit this vulnerability to execute arbitrary code under the context of the process.

ADDITIONAL DETAILS Hewlett-Packard has issued an update to correct this vulnerability. More details can be found at:
https://h20564.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay/?docId=emr_na-c04771027
DISCLOSURE TIMELINE
  • 2015-05-19 - Vulnerability reported to vendor
  • 2015-08-24 - Coordinated public release of advisory
CREDIT ASD - Vulnerability Research
BACK TO ADVISORIES